Fix security vulnerability: Equalizer command might allow negative indexes

Bug: 32247948
Bug: 32438598
Bug: 32436341

Test: use POC on bug or cts security test

Change-Id: I56a92582687599b5b313dea1abcb8bcb19c7fc0e
(cherry picked from commit 3f37d4ef89f4f0eef9e201c5a91b7b2c77ed1071)
(cherry picked from commit ceb7b2d7a4c4cb8d03f166c61f5c7551c6c760aa)
1 file changed
tree: a5ccfc71f8faaca7cbc613c36428ffcb7f879f42
  1. Android.mk
  2. hal/
  3. legacy/
  4. post_proc/
  5. visualizer/
  6. voice_processing/